package com.uas.app.city.account.dao;

import com.uas.app.city.account.model.City;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

/**
 * A DAO class for city info.
 *
 * @author huxz
 */
@Repository
public interface CityDao extends JpaRepository<City, Long>, JpaSpecificationExecutor<City> {

    /**
     * Find city info by name.
     *
     * @param name city name
     * @return  City
     */
    City findByName(String name);
}
