package com.uas.app.city.account.dao;

import com.uas.app.city.account.model.Company;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * A DAO class for company info.
 *
 * @author huxz
 */
@Repository
public interface CompanyDao extends JpaRepository<Company, Long> {

    /**
     * Find company by business code.
     *
     * @param businessCode  business code
     * @return  Company
     */
    Company findByBusinessCode(String businessCode);

    /**
     * 根据 spaceUU 查询 company
     * @param spaceUU
     * @return
     */
    Company getCompanyBySpaceUU(Long spaceUU);
}
