package com.uas.app.city.account.dao;

import com.uas.app.city.account.model.LocalUser;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * A DAO class for local user.
 *
 * @author huxz
 */
@Repository
public interface LocalUserDao extends JpaRepository<LocalUser, Long> {

    /**
     * Find user info by user uu.
     *
     * @param userUu    user uu
     * @return  local user info
     */
    LocalUser findByUserUu(Long userUu);
}
