package com.uas.app.city.account.service;

import com.uas.app.city.account.model.LocalUser;
import com.uas.sso.SSOToken;

/**
 * An abstract class of local user.
 *
 * @author huxz
 */
public interface LocalUserService {

    /**
     * Retrieve user info by sso token when authentication.
     *
     * @param token sso token
     * @param cityId
     * @return  local user info
     */
    LocalUser findUserInfoByToken(SSOToken token, String cityId);

    /**
     * 添加 localuser
     * @param localUser
     * @return 返回保存后的localuser
     */
    LocalUser save (LocalUser localUser);

    /**
     * 根据 userUU 来查询 localuser
     * @param userUU
     * @return
     */
    LocalUser findByUserUu(Long userUU);
}
