package com.uas.app.city.account.service.impl;

import com.uas.app.city.account.dao.CompanyDao;
import com.uas.app.city.account.dao.LocalUserDao;
import com.uas.app.city.account.model.Company;
import com.uas.app.city.account.model.LocalUser;
import com.uas.app.city.account.service.SyncService;
import org.apache.commons.collections.map.HashedMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;

/**
 * @author liuam
 * @since 2018/6/8 0008 下午 14:38
 */
@Service
public class SyncServiceImpl implements SyncService {

    @Autowired
    LocalUserDao localUserDao;

    @Autowired
    CompanyDao companyDao;

    @Override
    @Transactional(rollbackFor = RuntimeException.class)
    public Map<String, Object> saveUserAndCompany(LocalUser localUser, Company company) {
        LocalUser user = null;
        Company company1 = null;
        company1 = companyDao.save(company);
        user = localUserDao.save(localUser);
        Map<String, Object> map = new HashedMap();
        map.put("user", user);
        map.put("company", company1);
        return map;
    }
}
