package com.uas.app.city.account.support;

import com.uas.app.city.account.model.LocalUser;

/**
 * 每次请求服务器时，用户信息存放在本次线程中
 *
 * @author yingp
 */
public class SystemSession {

    private static ThreadLocal<LocalUser> local = new ThreadLocal<>();

    public static LocalUser getUser() {
        return local.get();
    }

    public static void setUser(LocalUser session) {
        local.set(session);
    }

    public static void clear() {
        local.remove();
    }
}
