package com.uas.app.city.account.third.service;

import com.uas.app.city.account.model.LocalUser;
import com.uas.app.city.account.third.model.AccessToken;

public interface AccessTokenService {

	/**
	 * 生成token
	 * 
	 * @param bindObject
	 *            绑定任意对象
	 * @return
	 */
	AccessToken createNew(Object bindObject);

	/**
	 * 生成token
	 * 
	 * @param bindObject
	 *            绑定任意对象
	 * @param expires_in
	 *            有效时间（秒）
	 * @return
	 */
	AccessToken createNew(Object bindObject, int expires_in);

	/**
	 * 生成token
	 * 
	 * @param user
	 *            指定用户
	 * @param bindObject
	 *            绑定任意对象
	 * @param expires_in
	 *            有效时间（秒）
	 * @return
	 */
	AccessToken createNew(LocalUser user, Object bindObject, int expires_in);

	AccessToken findOne(String id);

	void delete(String id);
}
