package com.uas.app.city.account.web;

import com.uas.app.city.account.model.LocalUser;
import com.uas.app.city.account.support.ResultBean;
import com.uas.app.city.account.support.SystemSession;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * Rest api for user operations.
 *
 * @author huxz
 */
@RestController
public class UserController {

    /**
     * Find user info if user has login.
     *
     * @return  response data
     */
    @RequestMapping(method = RequestMethod.GET, path = "/user/authentication",
            produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
    public ResultBean<LocalUser> findUserInfoIfLogin() {
        return new ResultBean<>(SystemSession.getUser());
    }
}
