(function (angular) {
  const app = angular.module("app");

  // Controllers
  app.controller("CityIndexController", cityIndex);

  function cityIndex($http, $state) {
    const self = this;

    self.cityList = [];

    self.totalPages = 1;
    self.page = 1;
    self.pageSize = 5;

    self.jumpPage = jumpPage;

    self.editCity = editCity;
    self.deleteCity = deleteCity;

    init();

    function init() {
      pageCity(self.page - 1, self.pageSize);
    }

    function pageCity(page, size) {
      $http.get('city//page-city', {
        params: {page: page, size: size},
        transformRequest: angular.identity
      }).success(function (response) {
        console.log(response);
        if (response.success) {
          self.cityList = response.data && response.data.content ? response.data.content : [];
          self.totalPages = response.data.totalPages;
          self.page = response.data.number + 1;
        } else {
          self.errorMessage = response.message;
        }
      }).error(function (response) {
        console.log(response);
        if (response.status) {
          alert(response.status + ":" + response.message);
        } else {
          alert(response.message);
        }
      });
    }

    function jumpPage(page) {
      console.log(page);
      if (page < 1) {
        page = 1;
      }
      if (page > self.totalPages) {
        page = self.totalPages;
      }

      pageCity(page - 1, self.pageSize);
    }
    
    function editCity(city) {
      $state.go('editCity', { city: city });
    }
    
    function deleteCity(city) {
      console.log(city);

      $http.delete('city////delete-city-info/' + city.id, {
        transformRequest: angular.identity
      }).success(function (response) {
        console.log(response);
        if (response.success) {
          init();
        } else {
          self.errorMessage = response.message;
        }
      }).error(function (response) {
        console.log(response);
        if (response.status) {
          alert(response.status + ":" + response.message);
        } else {
          alert(response.message);
        }
      });
    }
  }
})(angular);
